const booksRouter = require('express').Router();

module.exports = booksRouter;

const books = []

booksRouter.get('/list', (req, res) => {
    res.send(require('./book-list.json'))
})

booksRouter.post('/', (req, res) => {
    // body() can be used because of dev server
    console.log(req.body)
    books.push({
        name: req.body.name,
    })

    res.send({
        status: 200
    })
})


booksRouter.get('/:id', (req, res) => {
    console.log(req.params);

    res.send(require('./book.json'));

    // res.status(404).send()
})

booksRouter.delete('/:id', (req, res) => {
    res.status(201).send({
        status: 'ok'
    })
})
