import React from "react";
import AccountButtons from "../components/account/AccountButtons.jsx";
import userIcon from "../../images/user.svg";

const Account = () => {
  const exitHandler = () => {}
  const changeNameHandler = () => {}
  const changePassHandler = () => {}

  return (
      <div className="account-items">
        <img src={userIcon} alt="user" />
        <AccountButtons
            exitHandler={exitHandler}
            changeNameHandler={changeNameHandler}
            changePassHandler={changePassHandler}
        />
      </div>
  );
};

export default Account;
