import React, {useState} from 'react';
import InputField from "../components/reg/InputField.jsx";
import LoginButtons from "../components/reg/LoginButtons.jsx";
import LoginTitle from "../components/reg/loginTitle.jsx";

const SignIn = () => {
    const [name, setName] = useState("");
    const [password, setPassword] = useState("");

    const submit = (e) => {
      console.log('Sign In!')
    }

  return (
      <div className="LoginList">
          <LoginTitle/>
          <InputField title="Name" setValue={setName} value={name}/>
          <InputField title="Password" setValue={setPassword} value={password}/>

          <LoginButtons
              submitHandler={submit}
              isAuth={true}
          />
      </div>
  );
};

export default SignIn;
