import React, {useState} from 'react';
import InputField from "../components/reg/InputField.jsx";
import LoginButtons from "../components/reg/LoginButtons.jsx";
import LoginTitle from "../components/reg/loginTitle.jsx";

const SignUp = () => {
    const [name, setName] = useState("");
    const [password, setPassword] = useState("");
    const [repeatPassword, setRepeatPassword] = useState("");

    const submit = (e) => {
        console.log('Sign Up!')
    }

    return (
        <div className="LoginList">
            <LoginTitle/>
            <InputField title="Name" setValue={setName} value={name}/>
            <InputField title="Password" setValue={setPassword} value={password}/>
            <InputField title="Repeat Password" setValue={setRepeatPassword} value={repeatPassword}/>

            <LoginButtons
                submitHandler={submit}
                isAuth={false}
            />
        </div>
    );
};

export default SignUp;
